## org.apache.tools.ant.taskdefs.optional.dotnet
Class Ilasm.TargetTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.dotnet.Ilasm.TargetTypes

Enclosing class:
  Ilasm

    public static class Ilasm.TargetTypes

extends EnumeratedAttribute

Target types to build. valid build types are exe|library|module|winexe

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Ilasm.TargetTypes()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ilasm.TargetTypes

    public Ilasm.TargetTypes()

Method Detail

### getValues

    public java.lang.String[] getValues()

  This is the only method a subclass needs to implement..

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.